Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class CFRuleRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CFRuleRecord

    public final class CFRuleRecord

extends StandardRecord

Conditional Formatting Rule Record (0x01B1).

Author:
  Dmitriy Kumshayev

Nested Class Summary
`static class` | `CFRuleRecord.ComparisonOperator`

Field Summary
`static byte` | `CONDITION_TYPE_CELL_VALUE_IS`
`static byte` | `CONDITION_TYPE_FORMULA`
`static short` | `sid`

Constructor Summary
`CFRuleRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `containsAlignFormattingBlock()`
`boolean` | `containsBorderFormattingBlock()`
`boolean` | `containsFontFormattingBlock()`
`boolean` | `containsPatternFormattingBlock()`
`boolean` | `containsProtectionFormattingBlock()`
`static CFRuleRecord` | `create(HSSFSheet sheet, byte comparisonOperation, java.lang.String formulaText1, java.lang.String formulaText2)` Creates a new comparison operation rule
`static CFRuleRecord` | `create(HSSFSheet sheet, java.lang.String formulaText)` Creates a new comparison operation rule
`BorderFormatting` | `getBorderFormatting()`
`byte` | `getComparisonOperation()`
`byte` | `getConditionType()`
`FontFormatting` | `getFontFormatting()`
`int` | `getOptions()` get the option flags
`Ptg[]` | `getParsedExpression1()` get the stack of the 1st expression as a list
`Ptg[]` | `getParsedExpression2()` get the stack of the 2nd expression as a list
`PatternFormatting` | `getPatternFormatting()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isBottomBorderModified()`
`boolean` | `isBottomLeftTopRightBorderModified()`
`boolean` | `isLeftBorderModified()`
`boolean` | `isPatternBackgroundColorModified()`
`boolean` | `isPatternColorModified()`
`boolean` | `isPatternStyleModified()`
`boolean` | `isRightBorderModified()`
`boolean` | `isTopBorderModified()`
`boolean` | `isTopLeftBottomRightBorderModified()`
`void` | `serialize(LittleEndianOutput out)` called by the class that is responsible for writing this sucker.
`void` | `setAlignFormattingUnchanged()`
`void` | `setBorderFormatting(BorderFormatting borderFormatting)`
`void` | `setBottomBorderModified(boolean modified)`
`void` | `setBottomLeftTopRightBorderModified(boolean modified)`
`void` | `setComparisonOperation(byte operation)`
`void` | `setFontFormatting(FontFormatting fontFormatting)`
`void` | `setLeftBorderModified(boolean modified)`
`void` | `setParsedExpression1(Ptg[] ptgs)`
`void` | `setParsedExpression2(Ptg[] ptgs)`
`void` | `setPatternBackgroundColorModified(boolean modified)`
`void` | `setPatternColorModified(boolean modified)`
`void` | `setPatternFormatting(PatternFormatting patternFormatting)`
`void` | `setPatternStyleModified(boolean modified)`
`void` | `setProtectionFormattingUnchanged()`
`void` | `setRightBorderModified(boolean modified)`
`void` | `setTopBorderModified(boolean modified)`
`void` | `setTopLeftBottomRightBorderModified(boolean modified)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### CONDITION_TYPE_CELL_VALUE_IS

    public static final byte CONDITION_TYPE_CELL_VALUE_IS

See Also:
  Constant Field Values

### CONDITION_TYPE_FORMULA

    public static final byte CONDITION_TYPE_FORMULA

See Also:
  Constant Field Values

Constructor Detail

### CFRuleRecord

    public CFRuleRecord(RecordInputStream in)

Method Detail

### create

    public static CFRuleRecord create(HSSFSheet sheet,
                                      java.lang.String formulaText)

  Creates a new comparison operation rule

### create

    public static CFRuleRecord create(HSSFSheet sheet,
                                      byte comparisonOperation,
                                      java.lang.String formulaText1,
                                      java.lang.String formulaText2)

  Creates a new comparison operation rule

### getConditionType

    public byte getConditionType()

### containsFontFormattingBlock

    public boolean containsFontFormattingBlock()

### setFontFormatting

    public void setFontFormatting(FontFormatting fontFormatting)

### getFontFormatting

    public FontFormatting getFontFormatting()

### containsAlignFormattingBlock

    public boolean containsAlignFormattingBlock()

### setAlignFormattingUnchanged

    public void setAlignFormattingUnchanged()

### containsBorderFormattingBlock

    public boolean containsBorderFormattingBlock()

### setBorderFormatting

    public void setBorderFormatting(BorderFormatting borderFormatting)

### getBorderFormatting

    public BorderFormatting getBorderFormatting()

### containsPatternFormattingBlock

    public boolean containsPatternFormattingBlock()

### setPatternFormatting

    public void setPatternFormatting(PatternFormatting patternFormatting)

### getPatternFormatting

    public PatternFormatting getPatternFormatting()

### containsProtectionFormattingBlock

    public boolean containsProtectionFormattingBlock()

### setProtectionFormattingUnchanged

    public void setProtectionFormattingUnchanged()

### setComparisonOperation

    public void setComparisonOperation(byte operation)

### getComparisonOperation

    public byte getComparisonOperation()

### getOptions

    public int getOptions()

  get the option flags

  Returns:
    bit mask

### isLeftBorderModified

    public boolean isLeftBorderModified()

### setLeftBorderModified

    public void setLeftBorderModified(boolean modified)

### isRightBorderModified

    public boolean isRightBorderModified()

### setRightBorderModified

    public void setRightBorderModified(boolean modified)

### isTopBorderModified

    public boolean isTopBorderModified()

### setTopBorderModified

    public void setTopBorderModified(boolean modified)

### isBottomBorderModified

    public boolean isBottomBorderModified()

### setBottomBorderModified

    public void setBottomBorderModified(boolean modified)

### isTopLeftBottomRightBorderModified

    public boolean isTopLeftBottomRightBorderModified()

### setTopLeftBottomRightBorderModified

    public void setTopLeftBottomRightBorderModified(boolean modified)

### isBottomLeftTopRightBorderModified

    public boolean isBottomLeftTopRightBorderModified()

### setBottomLeftTopRightBorderModified

    public void setBottomLeftTopRightBorderModified(boolean modified)

### isPatternStyleModified

    public boolean isPatternStyleModified()

### setPatternStyleModified

    public void setPatternStyleModified(boolean modified)

### isPatternColorModified

    public boolean isPatternColorModified()

### setPatternColorModified

    public void setPatternColorModified(boolean modified)

### isPatternBackgroundColorModified

    public boolean isPatternBackgroundColorModified()

### setPatternBackgroundColorModified

    public void setPatternBackgroundColorModified(boolean modified)

### getParsedExpression1

    public Ptg[] getParsedExpression1()

  get the stack of the 1st expression as a list

  Returns:
    list of tokens (casts stack to a list and returns it!) this method can return null is we are unable to create Ptgs from existing excel file callers should check for null!

### setParsedExpression1

    public void setParsedExpression1(Ptg[] ptgs)

### getParsedExpression2

    public Ptg[] getParsedExpression2()

  get the stack of the 2nd expression as a list

  Returns:
    array of `Ptg`s, possibly `null`

### setParsedExpression2

    public void setParsedExpression2(Ptg[] ptgs)

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Parameters:
    `out` - the stream to write to

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD